Subject: Re: Bug in completion for git merge
From: Thomas Becker <[email-masked]>
To: Bart Schaefer <[email-masked]>
Cc: [email-masked]
Date: Mon, 15 Feb 2016 12:20:33 -0500
List-Id: Zsh Workers List <zsh-workers.zsh.org>

Ahh sorry about that.  That explains some of the other weirdness I’ve been seeing. I’m trying to upgrade my completion to something that knows about newer git options than what is provided in 5.0.5. Is there any way to do that? Thanks.

> On Feb 15, 2016, at 11:58 AM, Bart Schaefer <[email-masked]> wrote:
> 
> On Feb 15, 10:41am, Thomas Becker wrote:
> }
> } There seems to be a bug in the completion for git merge; the
> } completion function uses the following statement to both declare and
> } initialize an array, which from what I can tell is not allowed:
> }
> } local -a git_commit_opts=(--all --not HEAD --not)
> 
> This syntax is correct in zsh 5.1 and later.  Completion functions are
> generally not backward-portable to older versions of the shell.